package com.iotechn.unimall.data.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.iotechn.unimall.data.domain.CardExchangeInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 名片交换Mapper接口
 * 
 * @author jlb
 * @date 2023-04-12
 */
public interface CardExchangeInfoMapper extends BaseMapper<CardExchangeInfo> {
    public List<CardExchangeInfo> getCardExchangeInfoPage(@Param("status") String status,@Param("offset") Integer offset, @Param("limit") Integer limit, @Param("receiveId") Long receiveId);
    public Integer getCardExchangeCount(@Param("status") String status,@Param("offset") Integer offset, @Param("limit") Integer limit, @Param("receiveId") Long receiveId);
}

