package com.iotechn.unimall.data.mapper;

import com.iotechn.unimall.data.domain.CardManagementInfo;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 名片管理Mapper接口
 * 
 * @author jlb
 * @date 2023-04-10
 */
public interface CardManagementInfoMapper extends BaseMapper<CardManagementInfo>{

    Integer getCardManagementCount(@Param("status") String status, @Param("offset") Integer offset, @Param("limit") Integer limit, @Param("commonId") Long commonId, @Param("id") Long id);

    List<CardManagementInfo> getCardManagementPage(@Param("status") String status, @Param("offset") Integer offset, @Param("limit") Integer limit, @Param("commonId") Long commonId, @Param("id") Long id);}
